# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Instruction			= yes

#-----[ Directory ]----------------------------------------

Instruction_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Decod_unit/Decod/Instruction

#-----[ Library ]------------------------------------------

Instruction_LIBRARY		= 	-lInstruction

Instruction_DIR_LIBRARY		=	-L$(Instruction_DIR)/lib

#-----[ Rules ]--------------------------------------------

Instruction_library		:
				@\
				$(MAKE) --directory=$(Instruction_DIR) --makefile=Makefile;

Instruction_library_clean	:
				@\
				$(MAKE) --directory=$(Instruction_DIR) --makefile=Makefile clean;

